<?php 
// Theme Specific

add_theme_support( 'post-thumbnails' );
add_theme_support( 'post-thumbnails', array( 'post' ) );          // Posts only
add_theme_support( 'post-thumbnails', array( 'page' ) );          // Pages only
add_theme_support( 'post-thumbnails', array( 'post', 'movie' ) ); // Posts and Movies
add_theme_support( 'post-formats', array( 'aside', 'gallery' ) ); // Galleries
add_theme_support( 'add_custom_image_header' );
add_custom_background();

// create settings menu  
add_action('admin_menu', 'figerty_create_menu');  
  
function figerty_create_menu() {  
  
    //create new top-level menu  
    add_theme_page( 'Figerty Theme', 'Figerty Settings', 'administrator', 'figerty_theme', 'figerty_settings_page'); 
    
 //call register settings function  
    add_action( 'admin_init', 'register_mysettings' );  
}

    function register_mysettings() {  
        //register our settings  
        register_setting( 'figerty-settings-group', 'figerty_footer_code' );
		register_setting( 'figerty-settings-group', 'figerty_custom_footer' );
        register_setting( 'figerty-settings-group', 'figerty_google1_code' );  
        register_setting( 'figerty-settings-group', 'figerty_google2_code' );
        register_setting( 'figerty-settings-group', 'figerty_video_code' );
        register_setting( 'figerty-settings-group', 'figerty_about_code' );
        register_setting( 'figerty-settings-group', 'figerty_twitter' );
		register_setting( 'figerty-settings-group', 'figerty_colors' );
		register_setting( 'figerty-settings-group', 'figerty_analytics_code' );
		register_setting( 'figerty-settings-group', 'figerty_keywords' );
		register_setting( 'figerty-settings-group', 'figerty_description' );
		register_setting( 'figerty-settings-group', 'figerty_facebook' );
		register_setting( 'figerty-settings-group', 'figerty_plus' );
		register_setting( 'figerty-settings-group', 'figerty_bebo' );
		register_setting( 'figerty-settings-group', 'figerty_tumblr' );
		register_setting( 'figerty-settings-group', 'admin_email' );
    }  
    function figerty_settings_page() {  
	wp_enqueue_style( 'figerty-theme-options', get_template_directory_uri() . '/includes/options.css', false );
    ?>  
    <div class="wrap">  
<form method="post" action="options.php">  
        <?php settings_fields('figerty-settings-group'); ?>  
        <table id="fig_table"> 
   <tr valign="top">
   <td width="40%"><?php screen_icon('themes'); ?><h1>Figerty Settings</h1>
   <i><strong>WordPress Theme From Figerty Development</strong></i></td>
      <td width="60%"><p id="intro">Thanks for using Figerty version 1.0.1. Figerty is a new theme by the Figerty Development team which is aimed at those who would like a simple but feature-rich theme for their WordPress site but without the massive bulk.
	  <br />For updates, visit <a href="http://www.figerty.com/blog/" target="_blank">Figerty Development Blog</a>.
	  </p>
		           </td>
				   </tr>

	<tr valign="top">
	<td width="40%"><h3>Your Email</h3>
	Insert your email address. This is used for the Contact form. See the About Figerty Theme page fpr documentation.</td>
	
	<td width="60%" valign="middle">
	<input class="textfield" id="admin_email" type="text" name="admin_email" value="<?php bloginfo('admin_email');?>" /></td>
	</tr>
	
           <!--      <tr valign="top">  
            <td width="40%"><h3>Theme Style</h3>
            NOT YET IMPLEMENTED</td>
              
            <td valign="middle" width="60%">
			        <form method="POST" action="">  
            <input type="hidden" name="update_themeoptions" value="true" />
            <select class="select" name ="colour"> 
                <?php if (get_option('figerty_colors')); ?> 
                <option value="green">Green</option> 
                <option value="blue">Blue Stylesheet</option> 
            </select> 
			</form></td> 
            </tr>-->
				   <tr valign="top">
			<td width="40%"><h3>Meta Keywords</h3>
			Place some keywords here separated by Commas for SEO.</td>
			
			<td width="60%" valign="middle"><input class="textfield" type="text" name="figerty_keywords" id="figerty_keywords" value="<?php echo get_option('figerty_keywords'); ?>"></td>
			</tr>
				   <tr valign="top">
			<td width="40%"><h3>Meta Description</h3>
			Place a short description of your site here for SEO.</td>
			
			<td width="60%" valign="middle"><input class="textfield" type="text" name="figerty_description" id="figerty_description" value="<?php echo get_option('figerty_description'); ?>"></td>
			</tr>
				   <tr valign="top">  
            <td width="40%"><h3>Google Analytics</h3>
            Insert your complete Google Analytics code here. To learn more and to sign up for Analytics, <a href="http://www.google.com/analytics/" target="_blank">Click Here</a>.</td>
              
            <td width="60%"><textarea class="textarea" name="figerty_analytics_code" cols="100" rows="5"><?php echo get_option('figerty_analytics_code'); ?></textarea></td>
            </tr>
                    <tr valign="top">  
            <td width="40%"><h3>About Box</h3>
            This text is displayed on the sidebar under the About title.<br />Be as specific as possible. However, it is always best to keep it brief. Maybe place a link to a page which explains more?</td>
              
            <td width="60%"><textarea class="textarea" name="figerty_about_code" cols="100" rows="5"><?php echo get_option('figerty_about_code'); ?></textarea></td>  
            </tr>
            
                   <tr valign="top">  
            <td width="40%"><h3>Twitter</h3>
            Enter Your Twitter Username.<br />This will display the latest 5 tweets in your sidebar and also link the twitter social image on the sidebar.</td>
              
            <td valign="middle" width="60%"><input class="textfield" type="text" name="figerty_twitter" id="figerty_twitter" value="<?php echo get_option('figerty_twitter'); ?>"></td>  
            </tr>
			
                   <tr valign="top">  
            <td width="40%"><h3>Facebook</h3>
            Insert your Facebook ID here. Usually your username.</td>
              
            <td valign="middle" width="60%"><input class="textfield" type="text" name="figerty_facebook" id="figerty_facebook" value="<?php echo get_option('figerty_facebook'); ?>"></td>  
            </tr>
			
                   <tr valign="top">  
            <td width="40%"><h3>Google+</h3>
            Enter Your Google Plus ID Number here.</td>
              
            <td valign="middle" width="60%"><input class="textfield" type="text" name="figerty_plus" id="figerty_plus" value="<?php echo get_option('figerty_plus'); ?>"></td>  
            </tr>
			
                   <tr valign="top">  
            <td width="40%"><h3>Bebo</h3>
            Place your Bebo.Com username here.</td>
              
            <td valign="middle" width="60%"><input class="textfield" type="text" name="figerty_bebo" id="figerty_bebo" value="<?php echo get_option('figerty_bebo'); ?>"></td>  
            </tr>
			
                   <tr valign="top">  
            <td width="40%"><h3>Tumblr</h3>
            Insert your Tumblr Username here.</td>
              
            <td valign="middle" width="60%"><input class="textfield" type="text" name="figerty_tumblr" id="figerty_tumblr" value="<?php echo get_option('figerty_tumblr'); ?>"></td>  
            </tr>
			
            <tr valign="top">  
            <td width="40%"><h3>Youtube Video</h3>
            Place the Embed Code from Youtube here. Recommended size 200x220px</td>
              
            <td width="60%"><textarea class="textarea" name="figerty_video_code" cols="100" rows="5"><?php echo get_option('figerty_video_code'); ?></textarea></td>  
            </tr>
			
            <tr valign="top">  
            <td width="40%"><h3>Google Code 1</h3>
            Place your 468x60 Google Adsense code here or other banner code.<br />This is displayed in the header of post pages.</td>
              
            <td width="60%"><textarea class="textarea" name="figerty_google1_code" cols="100" rows="5"><?php echo get_option('figerty_google1_code'); ?></textarea></td>  
            </tr>  
            <tr valign="top">  
            <td width="40%"><h3>Google Code 2</h3>
            Place your 468x60 Google Adsense code here or other banner code.</td>
              
            <td width="60%"><textarea class="textarea" name="figerty_google2_code" cols="100" rows="5"><?php echo get_option('figerty_google2_code'); ?></textarea></td>
            </tr> 
			
			<tr valign="top">
			<td width="40%"><h3>Custom Footer</h3>
			Display your footer copyright text here. Basic HTML tags are allowed.</td>
			
			<td width="60%"><textarea class="textarea" name="figerty_custom_footer" cols="100" rows="5"><?php echo get_option('figerty_custom_footer'); ?></textarea></td>
                              <tr valign="top">  
            <td width="40%"><h3>Show Credits</h3>
            Select this option to show link-backs to WordPress and Figerty Development in your website footer. If you have no love to share, just unselect it.</td>
            
            <td valign="middle" width="60%"><?php if(get_option('figerty_footer_code')){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>  
<input type="checkbox" class="checkbox" name="figerty_footer_code" id="figerty_footer_code" value="true" <?php echo $checked; ?> /></td>
            </tr>
<tr valign="top">
<td width="40%" align="left">
        <p class="submit">  
        <input type="submit" class="button" value="Save Changes" />  
        </p> 
		</td>
		<td id="footerright" width="60%" align="right" valign="middle">Copyright &copy; <?php echo (date('Y'));?> <a href="http://www.figerty.com" target="_blank">Figerty Development</a>. All Rights Reserved.</td>
		</tr>

        </table>   
      
    </form>  
    </div>  
<?php
}
 ?>